/// A string to prefix before every channel name in this file. Defaults to no prefix.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Deserialize,
    conjure_object::serde::Serialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Default
)]
#[serde(crate = "conjure_object::serde", transparent)]
pub struct ChannelPrefix(pub Option<String>);
impl std::convert::From<Option<String>> for ChannelPrefix {
    #[inline]
    fn from(v: Option<String>) -> Self {
        ChannelPrefix(std::convert::From::from(v))
    }
}
impl std::ops::Deref for ChannelPrefix {
    type Target = Option<String>;
    #[inline]
    fn deref(&self) -> &Option<String> {
        &self.0
    }
}
impl std::ops::DerefMut for ChannelPrefix {
    #[inline]
    fn deref_mut(&mut self) -> &mut Option<String> {
        &mut self.0
    }
}
impl std::convert::AsRef<Option<String>> for ChannelPrefix {
    #[inline]
    fn as_ref(&self) -> &Option<String> {
        &self.0
    }
}
